TypeScript
import { Configuration, OrderChannelsApi } from "@zippendo/sdk"
const api = new OrderChannelsApi(new Configuration({ accessToken: process.env.ZIPPENDO_API_TOKEN }))
const result = await api.deleteOrderChannel({ orgId: "...", channelId: "..." })import os
import zippendo
config = zippendo.Configuration(access_token=os.environ["ZIPPENDO_API_TOKEN"])
with zippendo.ApiClient(config) as client:
result = zippendo.OrderChannelsApi(client).delete_order_channel("...", "...")<?php
$config = Zippendo\Sdk\Configuration::getDefaultConfiguration()->setAccessToken(getenv("ZIPPENDO_API_TOKEN"));
$api = new Zippendo\Sdk\Api\OrderChannelsApi(new GuzzleHttp\Client(), $config);
$result = $api->deleteOrderChannel("...", "...");client := zippendo.NewAPIClient(zippendo.NewConfiguration())
ctx := context.WithValue(context.Background(), zippendo.ContextAccessToken, os.Getenv("ZIPPENDO_API_TOKEN"))
result, _, err := client.OrderChannelsAPI.DeleteOrderChannel(ctx, "...", "...").Execute()require "zippendo"
Zippendo.configure { |c| c.access_token = ENV["ZIPPENDO_API_TOKEN"] }
result = Zippendo::OrderChannelsApi.new.delete_order_channel("...", "...")curl --request DELETE \
--url https://api.zippendo.com/orgs/{orgId}/order-channels/{channelId} \
--header 'Authorization: Bearer <token>'const options = {method: 'DELETE', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.zippendo.com/orgs/{orgId}/order-channels/{channelId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));HttpResponse<String> response = Unirest.delete("https://api.zippendo.com/orgs/{orgId}/order-channels/{channelId}")
.header("Authorization", "Bearer <token>")
.asString();{
"message": "Operation completed successfully"
}{
"error": "Bad Request",
"message": "Failed to create address",
"code": "CARRIER_GLS_WRONG_ADDRESS"
}{
"error": "Bad Request",
"message": "Failed to create address",
"code": "CARRIER_GLS_WRONG_ADDRESS"
}{
"error": "Bad Request",
"message": "Failed to create address",
"code": "CARRIER_GLS_WRONG_ADDRESS"
}Order Channels
Delete order channel
Deletes an order channel and cascades deletion of its orders.
DELETE
/
orgs
/
{orgId}
/
order-channels
/
{channelId}
TypeScript
import { Configuration, OrderChannelsApi } from "@zippendo/sdk"
const api = new OrderChannelsApi(new Configuration({ accessToken: process.env.ZIPPENDO_API_TOKEN }))
const result = await api.deleteOrderChannel({ orgId: "...", channelId: "..." })import os
import zippendo
config = zippendo.Configuration(access_token=os.environ["ZIPPENDO_API_TOKEN"])
with zippendo.ApiClient(config) as client:
result = zippendo.OrderChannelsApi(client).delete_order_channel("...", "...")<?php
$config = Zippendo\Sdk\Configuration::getDefaultConfiguration()->setAccessToken(getenv("ZIPPENDO_API_TOKEN"));
$api = new Zippendo\Sdk\Api\OrderChannelsApi(new GuzzleHttp\Client(), $config);
$result = $api->deleteOrderChannel("...", "...");client := zippendo.NewAPIClient(zippendo.NewConfiguration())
ctx := context.WithValue(context.Background(), zippendo.ContextAccessToken, os.Getenv("ZIPPENDO_API_TOKEN"))
result, _, err := client.OrderChannelsAPI.DeleteOrderChannel(ctx, "...", "...").Execute()require "zippendo"
Zippendo.configure { |c| c.access_token = ENV["ZIPPENDO_API_TOKEN"] }
result = Zippendo::OrderChannelsApi.new.delete_order_channel("...", "...")curl --request DELETE \
--url https://api.zippendo.com/orgs/{orgId}/order-channels/{channelId} \
--header 'Authorization: Bearer <token>'const options = {method: 'DELETE', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.zippendo.com/orgs/{orgId}/order-channels/{channelId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));HttpResponse<String> response = Unirest.delete("https://api.zippendo.com/orgs/{orgId}/order-channels/{channelId}")
.header("Authorization", "Bearer <token>")
.asString();{
"message": "Operation completed successfully"
}{
"error": "Bad Request",
"message": "Failed to create address",
"code": "CARRIER_GLS_WRONG_ADDRESS"
}{
"error": "Bad Request",
"message": "Failed to create address",
"code": "CARRIER_GLS_WRONG_ADDRESS"
}{
"error": "Bad Request",
"message": "Failed to create address",
"code": "CARRIER_GLS_WRONG_ADDRESS"
}Authorizations
JWT access token or API token (prefixed with zipp_)
Path Parameters
Organization ID.
Example:
"clz9k2f0a0000abcd0000zzzz"
Order channel ID.
Example:
"clz9k2f0a0001abcd1234efgh"
Response
Default Response
Result message
Example:
"Operation completed successfully"
Was this page helpful?
⌘I